<?php

//Create Intance of Core Class
//Exit on failure

if(
	file_exists('library/core.classes.php') &&
	(include("library/core.classes.php")) &&
	$core = new KB_core("frontend")){}
else{
	header("HTTP/1.1 503 Service Unavailable");
	header("Status: 503 Service Temporarily Unavailable");
	exit(1);
}

if ($core->db === false)
  header('Location: /'.$core->path("url").'backend');

// Set Language Variable if not set
if (!($core->get_var("lang")))
	$core->set_var("lang",substr(fetch('HTTP_ACCEPT_LANGUAGE',$_SERVER), 0, 2));

//Set Session Vars on Request
if ($set_var = $core->get("set_var","get")) {
	$core->session->set($set_var, $core->get("set_value","get"));
	$core->refresh(["set_var"=>"","set_value"=>""]);
}

$content = $core->content->frontend->render(
	$core->get("cid"),
	$core->get("lid")
);

$structures = $core->content->group->parents($core->content->frontend->loaded("group_ID"), true);
$templates = $core->array->implode($structures, "template_ID");
$content = $core->template->frontend->render($content,$templates);


if ($core->refresh)
	$core->refresh();

echo $content;
exit();
