<?php

$form = $core->form_o();

$form->new_elements(array(
	"password_cycles" => array(
	),
	"admin_email" => array(
	),
	"form_email" => array(
	),
	"username_is_email" => array(
	),
	"user_group_has_structure" => array(
	),
	"log_queries" => array(
	),
	"form_thumbnail_size" => array(
	),
	"debug_groups" => array(
	),
	"domains" => array(
	),
	"global_kit_management" => array(
		"title" => "Kit Management for all users",
		"type" => "radio",
		"values" => array("1"=>"yes","0"=>"no"),
		"value" => "1"
	),
	"submit" => array(
		"type" => "submit",
		"label" =>"Save",
		"class" => "green button"
	),
));

$group_ID = key_of("ID", $data->group->entry());
$config = $data->read();
$config = array_combine(key_fetch("name", $config), key_fetch("value", $config));
$form->set_values($config);

if ($form->check()) {
	$values = remove_keys_of("submit", $form->values());

	foreach ($values as $key => $value) {

		if (key_of($key, $config) === NULL)
			$core->data->create(array(
				"value" => $value,
				"name" => $key,
				"group_ID" => $group_ID,
			));

		else
			$core->data->update(array(
				"value" => $value
			), array(
				"name" => $key,
				"group_ID" => $group_ID
			));
	}

	$core->refresh();
}

$content = $form->render_form();

echo $core->template->kit->content(
	$menu,
	$content
);
