<?php

$ID = $core->get("ID");

if (!$ID)
	$core->refresh(["do" => ""]);


$entry = $object->entry($ID);
$form = $core->form();

$duplicate_settings();

if (is_empty($form->element)) {

	$new_ID = $object->duplicate($ID, $entry);
	$core->refresh(array("do"=>"","ID"=>either($new_ID, $ID)));
}

if (is_empty($core->array->implode(key_fetch("value", $form->element)))) {

	$core->message->set($new_ID = $object->duplicate($ID,	array_combine(
			(array) key_fetch("name", $form->element),
			(array) key_fetch("value", $form->element)
		)));

	$core->message->info("The entry was duplicated");
	$core->refresh(["do" => "", "ID" => either($new_ID, $ID)]);
}

$form->new_element("submit",array(
	"type"		=> "submit",
	"value"		=> "Duplicate",
	"markup"	=> array("class"=>"green"),
));

if ($form->submit()) {

	$core->message->set($new_ID = $object->duplicate($ID, $form->values()));
	$core->message->info("The entry was duplicated");
	$core->refresh(["do" => "", "ID" => either($new_ID, $ID)]);
}

echo $core->template->kit->panel(
	"Duplicate Entry",
	$form->render(false),
	array(
		$form->field("submit"),
		$core->html->a("Cancel", array(
			"class" => "red cancel button",
			"href" 	=> $core->url(array("do"=>"")),
		))
	),
	array(
		"wrap_form" => $form,
	)
);

