<?php

$url = "http://kitbooth.com/pages/kit-store-public-kits.html?framework=".$core->version("framework")."&core=".$core->version("compatibility");
$store_kits = $core->file->read($url);

$store_kits = $core->json->decode($store_kits);

$cards = $core->view->cards();

$cards->config("attr",array("style" => "grid-template-columns: repeat(auto-fill, minmax(20em, 1fr));"));
$cards->config("url_options",array("do"=>"kitinfo","ID"=>"ID"));
$cards->config("active",array("ID"=>"ID"));
$cards->image("icon", array("style"=>"width:4em; margin: 0 auto 1em"));
$cards->add("display_name", array("tag"=>"h2","style"=>"text-align:center; overflow:hidden; text-overflow: ellipsis; white-space:nowrap"));
$cards->add("description_short", array(
	"tag"=>"div",
	"style"=>"text-align:center; line-height: 1.2em; height: 2.4em; overflow:hidden; text-overflow: ellipsis; display: -webkit-box; -webkit-line-clamp: 2; -webkit-box-orient: vertical;"
));

$core->template->backend->title("Kit Store");

echo $cards->render($store_kits);
