<?php

class KB_language extends KB_class {

	private $core;

	public $translation;

	function __construct($core) {

		$this->core = $core;

		$this->config("accept",array("en"));
		$this->config("options",array(
			"aa" => "Afar",
			"ab" => "Abkhazian",
			"af" => "Afrikaans",
			"ak" => "Akan",
			"sq" => "Albanian",
			"am" => "Amharic",
			"ar" => "Arabic",
			"an" => "Aragonese",
			"hy" => "Armenian",
			"as" => "Assamese",
			"av" => "Avaric",
			"ay" => "Aymara",
			"az" => "Azerbaijani",
			"ba" => "Bashkir",
			"bm" => "Bambara",
			"eu" => "Basque",
			"be" => "Belarusian",
			"bn" => "Bengali",
			"bi" => "Bislama",
			"bo" => "Tibetan",
			"bs" => "Bosnian",
			"br" => "Breton",
			"bg" => "Bulgarian",
			"my" => "Burmese",
			"ca" => "Catalan; Valencian",
			"cs" => "Czech",
			"ch" => "Chamorro",
			"ce" => "Chechen",
			"zh" => "Chinese",
			"cv" => "Chuvash",
			"kw" => "Cornish",
			"co" => "Corsican",
			"cr" => "Cree",
			"cy" => "Welsh",
			"cs" => "Czech",
			"da" => "Danish",
			"de" => "German",
			"dv" => "Dhivehi; Dhivehi; Maldivian",
			"nl" => "Dutch; Flemish",
			"dz" => "Dzongkha",
			"el" => "Modern Greek (1453–)",
			"en" => "English",
			"eo" => "Esperanto",
			"et" => "Estonian",
			"eu" => "Basque",
			"ee" => "Ewe",
			"fo" => "Faroese",
			"fa" => "Persian",
			"fj" => "Fijian",
			"fi" => "Finnish",
			"fr" => "French",
			"fr" => "French",
			"fy" => "Western Frisian",
			"ff" => "Fulah",
			"ka" => "Georgian",
			"de" => "German",
			"gd" => "Gaelic; Scottish Gaelic",
			"ga" => "Irish",
			"gl" => "Galician",
			"gv" => "Manx",
			"el" => "Modern Greek (1453–)",
			"gn" => "Guarani",
			"gu" => "Gujarati",
			"ht" => "Haitian; Haitian Creole",
			"ha" => "Hausa",
			"he" => "Hebrew",
			"hz" => "Herero",
			"hi" => "Hindi",
			"ho" => "Hiri Motu",
			"hr" => "Croatian",
			"hu" => "Hungarian",
			"hy" => "Armenian",
			"ig" => "Igbo",
			"is" => "Icelandic",
			"io" => "Ido",
			"ii" => "Sichuan Yi; Nuosu",
			"iu" => "Inuktitut",
			"ie" => "Interlingue; Occidental",
			"ia" => "Interlingua (International Auxiliary Language Association)",
			"id" => "Indonesian",
			"ik" => "Inupiaq",
			"is" => "Icelandic",
			"it" => "Italian",
			"jv" => "Javanese",
			"ja" => "Japanese",
			"kl" => "Kalaallisut; Greenlandic",
			"kn" => "Kannada",
			"ks" => "Kashmiri",
			"ka" => "Georgian",
			"kr" => "Kanuri",
			"kk" => "Kazakh",
			"km" => "Central Khmer",
			"ki" => "Kikuyu; Gikuyu",
			"rw" => "Kinyarwanda",
			"ky" => "Kirghiz; Kyrgyz",
			"kv" => "Komi",
			"kg" => "Kongo",
			"ko" => "Korean",
			"kj" => "Kuanyama; Kwanyama",
			"ku" => "Kurdish",
			"lo" => "Lao",
			"lv" => "Latvian",
			"li" => "Limburgan; Limburger; Limburgish",
			"ln" => "Lingala",
			"lt" => "Lithuanian",
			"lb" => "Luxembourgish; Letzeburgesch",
			"lu" => "Luba-Katanga",
			"lg" => "Ganda",
			"mk" => "Macedonian",
			"mh" => "Marshallese",
			"ml" => "Malayalam",
			"mi" => "Maori",
			"mr" => "Marathi",
			"ms" => "Malay",
			"mk" => "Macedonian",
			"mg" => "Malagasy",
			"mt" => "Maltese",
			"mn" => "Mongolian",
			"mi" => "Maori",
			"ms" => "Malay",
			"my" => "Burmese",
			"na" => "Nauru",
			"nv" => "Navajo; Navaho",
			"nr" => "South Ndebele",
			"nd" => "North Ndebele",
			"ng" => "Ndonga",
			"ne" => "Nepali",
			"nl" => "Dutch; Flemish",
			"nn" => "Norwegian Nynorsk",
			"nb" => "Norwegian Bokmål",
			"no" => "Norwegian",
			"ny" => "Chichewa; Chewa; Nyanja",
			"oc" => "Occitan (post 1500)",
			"oj" => "Ojibwa",
			"or" => "Oriya",
			"om" => "Oromo",
			"os" => "Ossetian; Ossetic",
			"pa" => "Panjabi; Punjabi",
			"fa" => "Persian",
			"pl" => "Polish",
			"pt" => "Portuguese",
			"ps" => "Pushto; Pashto",
			"qu" => "Quechua",
			"rm" => "Romansh",
			"ro" => "Romanian; Moldavian; Moldovan",
			"ro" => "Romanian; Moldavian; Moldovan",
			"rn" => "Rundi",
			"ru" => "Russian",
			"sg" => "Sango",
			"si" => "Sinhala; Sinhalese",
			"sk" => "Slovak",
			"sk" => "Slovak",
			"sl" => "Slovenian",
			"se" => "Northern Sami",
			"sm" => "Samoan",
			"sn" => "Shona",
			"sd" => "Sindhi",
			"so" => "Somali",
			"st" => "Southern Sotho",
			"es" => "Spanish; Castilian",
			"sq" => "Albanian",
			"sc" => "Sardinian",
			"sr" => "Serbian",
			"ss" => "Swati",
			"su" => "Sundanese",
			"sw" => "Swahili",
			"sv" => "Swedish",
			"ty" => "Tahitian",
			"ta" => "Tamil",
			"tt" => "Tatar",
			"te" => "Telugu",
			"tg" => "Tajik",
			"tl" => "Tagalog",
			"th" => "Thai",
			"bo" => "Tibetan",
			"ti" => "Tigrinya",
			"to" => "Tonga (Tonga Islands)",
			"tn" => "Tswana",
			"ts" => "Tsonga",
			"tk" => "Turkmen",
			"tr" => "Turkish",
			"tw" => "Twi",
			"ug" => "Uighur; Uyghur",
			"uk" => "Ukrainian",
			"ur" => "Urdu",
			"uz" => "Uzbek",
			"ve" => "Venda",
			"vi" => "Vietnamese",
			"vo" => "Volapük",
			"cy" => "Welsh",
			"wa" => "Walloon",
			"wo" => "Wolof",
			"xh" => "Xhosa",
			"yi" => "Yiddish",
			"yo" => "Yoruba",
			"za" => "Zhuang; Chuang",
			"zh" => "Chinese",
			"zu" => "Zulu",
		));
		$this->translation = new KB_translation($core);
	}


	public function accept($accept = "") {

		if (is_empty($accept))
			return $this->config("accept");

		if (is_string($accept))
			$accept = array($accept);

		$this->config(
			"accept",
			$this->core->array->merge(
				$accept,
				$this->config("accept")
			)
		);

		return $this->config("accept");

	}


	public function parse_accept($string = "") {

		if (is_empty($string))
			return "";

		$array = preg_split("/,/", $string);

		if (is_array($array)) {

			$i = 10;

			foreach ($array as $string) {

				$key = either(
					ifttt(
						preg_match("/(q=\d\.)(\d)$/", $string) == 1,
						preg_replace("/(.*)(q=\d\.)(\d)$/", "$3", $string)
					),
					$i
				);

				$i--;
				$return[$key] = preg_replace("/^([^-;]+)(.*)/", "$1", $string);
			}

			krsort($return);
			$return = array_flip(array_flip($return));
			$return = array_values($return);


			return $return;
		}

		return preg_replace("/^([^-]+)(.+)/", "$1", $string);

	}


	public function translate($string = "") {

		if (is_empty($string))
			return "";

		if (is_array($string)) {

			foreach ($string as $key => $value) {
				$string[$key] = $this->translate($value);
			}

			return $string;
		}

		$string = trim($string);

		if (is_empty($string))
			return "";

		if ($this->translation->config("new_files")) {

			// Start a new blacklist and whitelist for not found translations
			$this->config("blacklist", "");
			$this->config("whitelist", "");

			$translation = [];

			foreach ($this->translation->read($this->accept()) as $translation_list)
				$translation = $this->core->array->merge($translation, $translation_list);

			$this->config("translation",$translation);
			$this->translation->config("new_files", false);

		}

		$translation = 	$this->config("translation");

		// if (preg_match("/<.+>/",$string))
			// return $this->translate_html($string, $translation);

		return $this->translate_string($string, $translation);
	}


	public function options($add = false) {

		$options = $this->config("options");
		$options = $this->core->array->sort($options);
		return $options;

	}


	private function translate_html($string = "", $translation = []) {

		if (any_empty($string, $translation))
			return $string;

		$pattern = array(
			// "(?:>\s*)([\w\s]+)(?:\s*</)"
			"(?:>\s*)([^<]+)(?:\s*</)"

		);


		$string = preg_replace_callback(
			preg_mod($pattern),
			function ($matches) use ($translation) {


				$return = preg_replace(
					preg_mod(array_keys($translation)),
					array_values($translation),
					$matches[1]
				);

				$matches[0] = preg_replace(preg_mod($matches[1]), $return, $matches[0]);

				return $matches[0];
			},
			$string
		);

		return $string;

	}


	private function translate_string($string = "", $translations = []) {

		if (any_empty($string, $translations))
			return $string;

		// Abort translation on blacklisted items
		if (in_list($string, $this->config("blacklist")))
			return $string;

		$whitelist = either($this->config("whitelist"), []);

		// Quick and fast

		if (not_empty($translation = key_of($string, $whitelist)))
			return $translation;

		if ($translation = key_of($string, $translations)) {
			$whitelist[$string] = $translation;
			$this->config("whitelist",$whitelist);
			return $translation;
		}

		// Regex search

		foreach ($translations as $from => $to) {
			if (preg_match(preg_mod("^$from$"), $string)) {
				$translation = preg_replace(preg_mod("^$from$"), $to, $string);
				$whitelist[$string] = $translation;
				$this->config("whitelist",$whitelist);
				return $translation;
			}
		}

		// No translation found
		// Add to Blacklist

		$blacklist = either($this->config("blacklist"), []);
		$blacklist[] = $string;
		$blacklist = $this->config("blacklist", $blacklist);

		return $string;
	}

}


class KB_translation extends KB_class {

	private $core;


	function __construct($core) {
		$this->core = $core;
	}


	public function add($path = "") {

		if (is_empty($path))
			return true;

		if (in_array($path, either($this->config("paths"), [])))
			return true;

		$this->config(
			"paths",
			array_merge(either($this->config("paths"), []),array($path))
		);

		$folder = $this->core->filesystem->read($path);

		if (is_empty($folder))
			return true;

		$files = $this->config("files");

		foreach ($folder as $filename) {

			if (!preg_match("/^\w\w\.ini$/", $filename))
				continue;

			$language = preg_replace("/^(\w\w)(.+)/", "$1", $filename);
			$files[$language][] = $this->core->filesystem->get_path($path."/".$filename);

		}

		$this->config("files", $files);
		$this->config("new_files", true);

		return true;

	}


	public function read($language = []) {

		if (is_empty($language))
			return [];

		$files = key_of($language, $this->config("files"));

		if (is_empty($files))
			return [];

		foreach ($files as $file) {

			$translation_file = $this->config("cache_".$file);

			if (is_empty($translation_file)) {

				$translation_file = $this->core->filesystem->read($file);
				$translation_file = $this->parse_ini($translation_file);
				$this->config("cache_".$file,$translation_file);

			}

		$translation[] = $translation_file;

		}

		return $translation;

	}


	private function parse_ini($string = "") {

		if (is_empty($string))
			return [];

		// Remove comments
		$string = preg_replace("/[;#](.*)/m","",$string);

		// Remove lines missing equal sign
		$string = preg_replace("/^([^=]*)$/m","",$string);

		// Build array

		$array = [];

		foreach(preg_split("/\n/",$string) as $line) {

			$key = trim(preg_replace("/(.*)\w?=(.*)/", "$1", $line));
			$value = trim(preg_replace("/([^=]*)=\w?(.*)/", "$2", $line));

			if (!any_empty($key, $value))
				$array[$key] = $value;
		}

		return $array;

	}



}
