<?php
$date = date("YmdHis");
$name = "kitbooth_part_v".$core->version()."_".$date;
$elements = $core->config("backup_parts");

$core->message->set(
	$kitbooth->file->write(
		"backup/$name/kitbooth.sql",
		$core->db->dump()
	),
	"mysql dump"
);

if (fetch("core",$elements))
	$kitbooth->folder->copy("core", "backup/$name/");


if (fetch("kits",$elements))
	$kitbooth->folder->copy("kits", "backup/$name/");

if (fetch("frontend",$elements)) {

	if (fetch("files",$elements))
		$kitbooth->folder->copy("frontend/files", "backup/$name/frontend/");

	if (fetch("templates",$elements))
		$kitbooth->folder->copy("frontend/templates", "backup/$name/frontend/");

	if (fetch("content",$elements))
		$kitbooth->folder->copy("frontend/content", "backup/$name/frontend/");

}

if (fetch("core",$elements))
	$kitbooth->file->copy(
		[
			".htaccess",
			"config.txt",
			"config.json",
			"licence.txt",
		],
		"backup/$name/"
	);

$backup->folder->zip($name);
$backup->folder->delete($name);
$core->refresh(["do"=>""]);

