<?php

$part_backups = $backup->folder->read([
	"name" => "kitbooth_part(.*)",
	"extension" => "zip",
	"stats" => true,
]);

$part_backups = $core->array->sort_by($part_backups, "mtime", "DESC");

$table_menu = [
	"backup" => [
		"title" => "New Backup",
		"class" => "green button"
	],
	"edit" => [
		"title" => "Settings",
		"class" => "button"
	],
];

echo $core->template->kit->table_menu($table_menu);

echo $table->render($part_backups);
