<?php
$core->filesystem->set_base_dir("");
$paths = $core->filesystem->read_path(FILES_FOLDER, array(
  "type"=>"folder",
  "recursive"=>true,
));


$paths = fetch("(.*)/.cache/",$paths);
$data = array();
if($paths)
foreach ($paths as $path){
  if($core->get_var("do") == "delete_cache")
    $core->filesystem->delete_folder(FILES_FOLDER.$path);

  $data[] = array(
    "path" => $path,
    "size" => $core->filesystem->size(FILES_FOLDER.$path),
  );
}

$table = $core->table();
$table->pagination = false;

$table->new_element("path",array(
  "title" => "Pfad"
));

$table->new_element("size",array(
  "title" => "Größe",
  "value" => '$format->filesize($calc->prepare_sum($size,size))',
  "footer" => '$format->filesize($calc->output_sum(size))',
));

if($core->get_var("do") == "delete_cache"){
  $core->url_options(array("do"=>"cache"));
  $core->refresh();
}

echo $core->template->kit->table_menu(
	array(
		"delete_cache"=>array(
			"title"=>"Cache leeren"
		)
	)
);

echo $table->render($data);
