$(document).ready(
  function(){
    duplicate_form_field_group();
    duplicate_form_field_groups();
		// $('*[data-field_groups]').hide();
  }
);

function duplicate_form_field_group(){

	$('*[data-field_group]').each(function(){
		var section = $(this);
		// var fields = section.find('input');
		var buttons = section.find('a[data-for]');
		var button = section.find('a[data-duplicate_field_group]');
    if(button.length > 0){
      buttons.hide();
		  button.unbind();
		  button.bind("mousedown",function(event){
				if(event.which == 1){
	    		var section = $(this).parents('[data-field_group]').eq(0);
      		section.after(section.clone(true));
				}
      })
    }
	});
}

function duplicate_form_field_groups(){

	var groups = new Array();
	// return;
	$('*[data-field_groups]').each(function(){
		var row = $(this);
		// return;
		// var bool = false;
		// var i = 0;
		// var sections = row.find('[data-field_group!=""]:[data-field_group]');
		var sections = row.find('[data-field_group][data-field_group!=""]');
		var all_sections = row.find('[data-field_group]');
		// console.log(sections.length);
		// console.log(all_sections.length);
		if(sections.length == all_sections.length && sections.length > 1){
			sections.find('a[data-duplicate_field_group]').hide();
			var ID = row.attr("data-field_groups");

			if($.inArray(ID,groups) == -1){

				groups.push(ID);
				row = $('[data-field_groups="'+ID+'"]').slice(-1);
				var container = $('<div></div>');
        container.addClass("duplicate_form_field_group")

        var button = $('<a><img src="/core/template/icons/plus.svg?color=grey"></a> ');
				button.addClass("small green button");
				button.attr("data-for",row.attr("[data-field_groups"));
				button.click(function(){
					row = $('[data-field_groups="'+ID+'"]').slice(-1);
					row.after(row.clone(true));
					row = $('[data-field_groups="'+ID+'"]').slice(-1);
					row.find("input, select").attr("value","").val("");
					row.find("textarea").text("").show().removeClass("markdown_editor classic_editor");
					row.find("textarea").next("div.ck-editor").remove();
					markown_fields();
					html_fields();
					row.find("div[contenteditable]").text("");
				})
				container.append(button);

        var button = $('<a><img src="/core/template/icons/waste.svg?color=grey"></a> ');
				button.addClass("small red button");
				button.attr("data-for",row.attr("[data-field_groups"));
				button.click(function(){
					row = $('[data-field_groups="'+ID+'"]').slice(-1);
					row.remove();
				})
				container.append(button);

				row.append(container);
			}
		}
	});
}

$(document).ready(function(){
	$(".kit_menu.section").each(function(){

		if ($(this).length > 0) {

			$(this).hide();
			var button = $("<a class=\"edit\">edit</a>");

			button.click(function(){
				$(this).parents(".panel").find(".kit_menu.section").slideToggle(100);
			});

			if($(this).children().length > 0){
				$(this).parents(".panel").find("h3.section").append(button);
			}
		}
	});
});
