<?php
$version = $core->format->date($core->filesystem->version_by_date(),"d.m.Y");
$table = $core->view->table();
$table->config("class", "form selectable");
$table->config("sort", false);

echo $core->html->article([
	$core->html->h1("Version"),
	$core->html->table(
		[[
			$core->html->h2($core->version("compatibility")),
			$core->html->h2($core->version("framework")),
			$core->html->h2($core->version("release")),
			$core->html->h2($core->version("channel")),
		]],
		["Compatibility","Framework","Release","Channel"]
	),
	$core->html->hr(),
	$core->html->h2("Database"),
	$table->render([$core->core_config("db")]),
	$core->html->hr(),
	$core->html->h2("Filesystem"),
	$core->html->p([
		"Most recent file modified: ",
		$version
	]),


]);
