<?php

$core->template->backend->head(
	$core->html->style([
		"table.data + h2 {margin-top:var(--space)}",
	])
);

ob_start();

phpinfo(INFO_GENERAL);
$phpinfo["general"] = ob_get_contents();
ob_clean();

phpinfo(INFO_CONFIGURATION);
$phpinfo["configuration"] = ob_get_contents();
ob_clean();

phpinfo(INFO_MODULES);
$phpinfo["modules"] = ob_get_contents();
ob_clean();

// $phpinfo = preg_replace("/(<style)([^'|^<]*)(<\/style>)/","",$phpinfo);
// $phpinfo = preg_replace('/<img[^>]*\/>/',"",$phpinfo);
$phpinfo = preg_replace('/(<!DOC)(.*)(<\/head>)/Us',"",$phpinfo);
$phpinfo = preg_replace('/(<body>)(.*)(<\/body>)/s',"$2",$phpinfo);
$phpinfo = preg_replace('/(<div[^>]*>)(.*)(<\/div>)/s',"$2",$phpinfo);

$phpinfo = preg_replace('/(<\/html>)/Us',"",$phpinfo);
$phpinfo = preg_replace('/<table/',"<table class=\"data wrap\"",$phpinfo);
$phpinfo = preg_replace('/(,)(\w)/',"$1 $2",$phpinfo);

echo $core->html->article($phpinfo["general"]);
echo $core->html->article($phpinfo["configuration"]);
echo $core->html->article([
	$core->html->hr(),
	$core->html->h1("Modules"),
	$phpinfo["modules"]
]);
