<?php

$table_private = $core->view->table();
$table_private->config("sort",false);

$table_private->new_column("name",array(
	"title"=>"Name",
));
$table_private->new_column("unique_name",array(
	"title"=>"Unique Name",
));
$table_private->new_column("folder",array(
	"title"=>"Path",
));

$table_private->new_row("ID",[
	"value"=>'return_publish($ID,$folder)',
	"class" => "hide"
]);


$return_publish = function ($ID, $path) use($core) {

	$button = $core->language->translate("Publish");
	$button = $core->html->tag("a", $button, array("class"=>"small button", "href"=>$core->generate_url(array("do"=>"publish","path"=>$path,"ID"=>$ID))));

	return $core->html->render($button);
};

$table_private->config("return_publish",$return_publish);

$publish_list = $releases($kits_to_push);

echo $table_private->render($publish_list);
