<?php

if ($core->get_var("do") == "edit"){

	switch ($core->get_var("view")) {

		case "groups":

			if ($ID = $core->get_var("ID")) {

				$form->set_element("parent_ID",array(
					"label"=>'Child Group of',
					"values"=> $core->user->group->read_dropdown(false,$entry["ID"]),
				));

				if(is_empty($form->element['parent_ID']['values']) || $entry["parent_ID"] == NULL){

					unset($form->element["parent_ID"]);
					unset($form->element["backend"]);

				}
			}

			else {

				$form->set_element("parent_ID",array(
					"label" => 'Child Group of',
					"values" => $core->user->group->read_dropdown(),
				));
			}

			break;

		default:


			$email = true;

			if ($core->config("username_is_email") == "0")
				$email = false;

			// $rand = '<span style="font-family: Consolas, monospace" class="selectable">'.random(10).'</span>';
			$rand = random(10);

			// Prepend name
			$form->element = array("name"=>array())+$form->element;

			$form->new_element("name",array(
				"label"=>"User Name",
				"type"=>"text",
				"essential"=>true,
			));

			if($email){
				$form->set_element("name",array(
					"label" => 'User Name (email)',
					"charset" => 'email',

				));
			}

			$form->set_element("group_ID",array(
				"label"=>'User Group',
				"type"=>"select",
				"values" => $core->user->group->read_column("name"),

			));

			$form->new_element("language", array(
				"type" => "select",
				"values" => array(""=>"")+$core->language->options(),
				"label" => "Language",

			));


			if($ID = $core->get_var("ID")){

				$entry = $data->entry(array("ID"=>$ID));
				$form->set_values(array(
					"name" => key_of("name",$entry),
					"group_ID" => key_of("group_ID",$entry),
					"language" => key_of("language",$entry),
				));

				$form->new_element("active",array(
					"label"=>'Account',
					"type"=>"radio",
					"value" => $entry["active"],
					"values" => array("1"=>"active","0"=>"inactive"),
				));

			}
			else{

				$form->new_element("password",array(
					"label"=>'Password (e.g. <i class="selectable_text">'.$rand.'</i>)',
					"type"=>"password",
					"essential"=>true,
				));


			}


	}
}
