<?php

$data = $core->data("COLUMNS");
$data->db_name("information_schema");


$tables = $data->read([
	"TABLE_NAME" => "%kb_%",
	"DATA_TYPE" => "varchar",
	"COLUMN_DEFAULT" => NULL,
]);


if (not_empty($tables))
	foreach ($tables as $table) {

		$core->message->set($core->db->table->change(
			key_of("TABLE_NAME", $table),
			[
				key_of("COLUMN_NAME", $table) => key_of("COLUMN_TYPE", $table)." CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT ''"
			]
		));
	}


$tables = $core->tables->read([
	"name" => "(?!kb_)(.*)"
]);

if (not_empty($tables))
	foreach ($tables as $table) {

		$table = key_of("name", $table);

		if (is_empty($columns = $data->read([
			"TABLE_NAME" => $table,
			"DATA_TYPE" => "varchar",
			"COLUMN_DEFAULT" => NULL,
		])))
			continue;

		foreach ($columns as $table) {
			$core->message->set($core->db->table->change(
				key_of("TABLE_NAME", $table),
				[
					key_of("COLUMN_NAME", $table) => key_of("COLUMN_TYPE", $table)." CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT ''"
				]
			));
		}
	}


return true;

